import { DataApi, QueryRequest, QueryResponse, UpdateResponse } from '@dvn/core/api';
import { GetItemRequest } from '@dvn/core/api/dto/get-item';
import { UpdateRequest } from '@dvn/core/api/dto/update';
import { Logger } from '@dvn/core/log/logger';
export declare class DataApiDemo implements DataApi {
  database: any;
  logger: Logger;
  constructor(database: any, logger: Logger);
  addAuthInterceptor(token: string): void;
  query(collection: string, query: QueryRequest): Promise<QueryResponse>;
  get: (collection: string, id: string, query: GetItemRequest) => Promise<any>;
  update(_collection: string, _id: string, _body: UpdateRequest): Promise<UpdateResponse>;
}
